#version 330

uniform mat4 uni_ModelViewProjMatrix;

in vec3 in_Vertex;
in vec2 in_TexCoord;

out vec2 var_TexCoord;

//This is a ultra-simple shader that just transforms the geometry, no colors are drawn.
//Use it for example for filling depth textures
void main(void)
{
	var_TexCoord = in_TexCoord;
	gl_Position =  uni_ModelViewProjMatrix * vec4(in_Vertex,1);
}