#version 330

uniform mat4 uni_ModelViewProjMatrix;
uniform mat4 uni_ModelMatrix;

in vec3 in_Vertex;
in vec3 in_Normal;

out vec4 var_WorldPosition;
out vec3 var_Normal;

void main(void)
{
	//final vtx position
	var_WorldPosition =  uni_ModelMatrix * vec4(in_Vertex,1);
	gl_Position = uni_ModelViewProjMatrix * vec4(in_Vertex,1);

	var_Normal = in_Normal;
}