#version 330

layout (points) in;
layout (line_strip, max_vertices = 2) out;

uniform mat4 uni_ModelViewProjMatrix;

in vec3 var_NormalObjSpace[];

//GS for water normals debug
void main(void)
{
	//start point of the line is the original position, transformed with MVP
	gl_Position = uni_ModelViewProjMatrix * gl_in[0].gl_Position;
	EmitVertex();
	
	//end point is start point + normal (scaled), transformed with MVP
	//gl_Position = uni_ModelViewProjMatrix * vec4(gl_in[0].gl_Position.xyz + vec3(0.0,1.0,0.0) * 20.0,1.0);
	gl_Position = uni_ModelViewProjMatrix * vec4(gl_in[0].gl_Position.xyz + var_NormalObjSpace[0] * 10.0,1.0);
	EmitVertex();
	EndPrimitive();
}