#version 330

in vec4 var_Pos;

out vec4 frag_Color;

vec4 checker3D(in vec3 texc, in vec4 color0, in vec4 color1)
{
	vec3 scaled = texc * 0.1;
  if ((int(floor(scaled.x) + floor(scaled.y) + floor(scaled.z)) & 1) == 0)
    return color0;
  else
    return color1;
}

void main(void)
{
	frag_Color = checker3D(var_Pos.xyz,vec4(0.8,0.8,0.8,1),vec4(1,0,1,1));
}