#version 330

uniform vec2 uni_Screensize;

in vec2 in_2DPosition;

out vec2 var_TexCoord;

void main(void)
{
	gl_Position = vec4(in_2DPosition, 0.5, 1.0);
	
	float aspect = uni_Screensize.x / uni_Screensize.y;
	if(uni_Screensize.x > uni_Screensize.y)
	{
		var_TexCoord = vec2(in_2DPosition.x , in_2DPosition.y / aspect) * 0.5 + vec2(0.5,0.5);
	}
	else
	{
		var_TexCoord = vec2(in_2DPosition.x * aspect, in_2DPosition.y) * 0.5 + vec2(0.5,0.5);
		//tex coord scaling from 0.0 to 1.0
		//var_TexCoord = in_2DPosition * 0.5 + vec2(0.5,0.5);
	}
	
}