#version 330

uniform sampler2D uni_DiffuseMap;

in vec2 var_TexCoord;

out vec4 frag_Color;
out vec4 frag_LSOcclusion;

void main(void)
{	
	//a bit more yellow
	vec3 centerCol = vec3(0.9,0.9,0.6);
	//vec3 outerCol = vec3(0.9,0.9,0.9);
	
	float r = length(var_TexCoord);
	//texCoords go from -1 to 1 with 0,0 in the center
	if(r>1)
	{
		discard;
	}
	
	float f = pow(smoothstep(0,1.0,r),2);
	//float inner = smoothstep(0,0.2,r);
	
	//vec3 finalCol = mix(centerCol,outerCol,f);
	//finalCol = mix(vec3(0.9,0.9,0.8),finalCol,inner);
	vec3 finalCol = centerCol;
	//get color from texture
	//vec4 texCol = texture(uni_DiffuseMap, var_TexCoord); 
	frag_Color = vec4(finalCol,1-f);
	//frag_Color = vec4(centerCol,1);
    frag_LSOcclusion = vec4(finalCol*pow(1-f,4),1.0);
}